Bug 976272 - [RFE] openstack-horizon: no session timeout in horizon
[RFE] openstack-horizon: no session timeout in horizon
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: Upstream M2
: 4.0
Assigned To: Matthias Runge
Nir Magnezi
: FutureFeature, Triaged
: 983097 (view as bug list)
Depends On:
Blocks: RHOS40RFE
  Show dependency treegraph
 
Reported: 2013-06-20 05:16 EDT by Haim
Modified: 2017-02-28 20:42 EST (History)
9 users (show)

See Also:
Fixed In Version: python-django-horizon-2013.2-0.4.1b2.el6ost
Doc Type: Enhancement
Doc Text:
With this update, Dashboard users are automatically logged out of a period of inactivity. This period is set to 30 minutes by default.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 19:07:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1118441 None None None Never

  None (edit)
Description Haim 2013-06-20 05:16:25 EDT
Description of problem:

no session timeout in horizon, browser was opened for day (when I disconnected from network during that time).


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. login to horizon
2. leave browser opened for 24 hours
3. open new tab

Actual results:

session log-out in case of no activity after 30 minutes.


Expected results:


Additional info:
Comment 1 Matthias Runge 2013-06-20 05:59:23 EDT
thank you for this report.

However, we're using session cookies, which expire at the end of the session, and not using time based cookies. 

From django docs:

If SESSION_EXPIRE_AT_BROWSER_CLOSE is set to True, Django will use browser-length cookies – cookies that expire as soon as the user closes his or her browser. Use this if you want people to have to log in every time they open a browser. As far as I understand it. they're mutually exclusive with persistent cookies, which can have a time-out; 

Persistent cookies will be stored on clients computer whereas session cookies stay in memory.
Comment 2 Matthias Runge 2013-07-26 03:43:23 EDT
The feature is implemented in Havana-2.
How to test:

in the settings file, e.g in /etc/openstack-dashboard/local_settings define
SESSION_TIMEOUT=1800 (in secs), wait 1800 secs and do a next action in the browser window. 
What you should see is a redirect/immediate logout.
Comment 3 Julie Pichon 2013-07-26 04:17:50 EDT
*** Bug 983097 has been marked as a duplicate of this bug. ***
Comment 6 Nir Magnezi 2013-11-25 09:48:42 EST
Verified NVR: python-django-horizon-2013.2-5.el6ost.noarch

Tested OK.
Comment 9 errata-xmlrpc 2013-12-19 19:07:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html

Note You need to log in before you can comment on or make changes to this bug.